Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029405
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajorhave not tried2015-03-25 14:502015-05-07 22:16
ReporterjonalegriaesarteView Statuspublic 
Assigned Tovmromanos 
PriorityimmediateResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisionb2442bf1965b
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029405: User can include lines from different business partners in the same receipt

DescriptionUser can include lines from different business partners in the same receipt
Steps To Reproduce- Create two purchase orders, one for vendor A, second for vender B. Add one line in each one and book them.
- Create a receipt for vendor A.
- Using create lines from, add the line in one of the orders.
- Change business partner to vendor B and save it. The system shows an error. OK
- Immediately after getting the error, press create lines from. Notice that the vendor loaded on that functionality is vendor B. KO
- The user can select lines from second order (from vendor B) and include them in the receipt. KO
- The user can complete the receipt. KO
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0076529)
vmromanos (developer)
2015-04-14 14:24

Test plan I:
1. Follow steps to reproduce
2. Verify business partner field becomes readonly just after inserting the lines in the Create lines from

Test plan II:
1. Go to Goods Receipt window
2. Create a new header
3. Enter mandatory fields and save the record. Verify business partner field is editable
4. Go to lines and insert a new record. Save it
5. Verify business partner field at header is read only
6. Delete the line
7. Verify business partner field at header is editable again

Test plan III:
1. Go to Goods Shipment window
2. Create a new header
3. Enter mandatory fields and save the record. Verify business partner field is editable
4. Go to lines and insert a new record. Save it
5. Verify business partner field at header is read only
6. Delete the line
7. Verify business partner field at header is editable again

Test plan IV:
1. Go to Purchase Invoice window
2. Create a new header
3. Enter mandatory fields and save the record. Verify business partner field is editable
4. Go to lines and insert a new record. Save it
5. Verify business partner field at header is read only
6. Delete the line
7. Verify business partner field at header is editable again

Test plan V:
1. Go to Sales Invoice window
2. Create a new header
3. Enter mandatory fields and save the record. Verify business partner field is editable
4. Go to lines and insert a new record. Save it
5. Verify business partner field at header is read only
6. Delete the line
7. Verify business partner field at header is editable again
(0076548)
hgbot (developer)
2015-04-15 12:27

Repository: erp/devel/pi
Changeset: b2442bf1965b2bde7d29132497c743577ab4f364
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Apr 14 13:26:33 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b2442bf1965b2bde7d29132497c743577ab4f364 [^]

Fixed bug 29405: Avoid changing business partner when doc. has lines

Added read only logic to business partner column in the following windows to avoid changing its value when the document already has lines:
+ Goods Receipt
+ Goods Shipment
+ Purchase Invoice
+ Sales Invoice

The read only logic is implemented using 4 auxiliary inputs associated to the header tab of each window.

Note that the bug has been originally reported to the Goods Receipt window, but this change has been populated to the rest of the windows that have similar behavior

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0076549)
umartirena (developer)
2015-04-15 12:28

Code Review + Testing OK
(0077127)
hudsonbot (developer)
2015-05-07 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-03-25 14:50 jonalegriaesarte New Issue
2015-03-25 14:50 jonalegriaesarte Assigned To => Sandrahuguet
2015-03-25 14:50 jonalegriaesarte Modules => Core
2015-03-25 14:50 jonalegriaesarte Triggers an Emergency Pack => No
2015-03-25 14:50 jonalegriaesarte Priority normal => immediate
2015-03-26 16:04 fsoto82 Status new => scheduled
2015-03-26 16:04 fsoto82 Assigned To Sandrahuguet => fsoto82
2015-04-14 13:20 vmromanos Assigned To fsoto82 => vmromanos
2015-04-14 14:24 vmromanos Note Added: 0076529
2015-04-15 12:27 hgbot Checkin
2015-04-15 12:27 hgbot Note Added: 0076548
2015-04-15 12:27 hgbot Status scheduled => resolved
2015-04-15 12:27 hgbot Resolution open => fixed
2015-04-15 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b2442bf1965b2bde7d29132497c743577ab4f364 [^]
2015-04-15 12:28 umartirena Review Assigned To => umartirena
2015-04-15 12:28 umartirena Note Added: 0076549
2015-04-15 12:28 umartirena Status resolved => closed
2015-04-15 12:28 umartirena Fixed in Version => pi
2015-05-07 22:16 hudsonbot Checkin
2015-05-07 22:16 hudsonbot Note Added: 0077127


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker